#ifndef __DIRCONFIG_H
#define __DIRCONFIG_H

#include <Windows.h>
#include "FileOutput.h"
#include "BangOutput.h"
#include <vector>
#include <string>

using namespace std;

enum
{
	FIND_DOS = 1,
	FIND_DIRS,
	FIND_FILES,
	FIND_EXT,
	FIND_FONTS,
	FIND_ARCHIVE,
	FIND_HIDDEN,
	FIND_NORMAL,
	FIND_SYSTEM,
	FIND_ALL
};

class DirConfig
{
public:
	DirConfig(const char* nm);
	~DirConfig();
	void ReadConfig();
	void SetFilter();
	bool Scan();

    const char* GetName() const { return name.c_str(); }

    bool IncludeRootSelf; // for "." and ".."
    bool DisableStartupScan;
    
private:
	string name;
    string files;
    string path;

	int findWhat;
	int filter;

	FileOutput *file;
	BangOutput *bang;

	vector<WIN32_FIND_DATA> ResultBuffer;

};

#endif